<div id="status-edit-menu">
  <form [formGroup]="editStatusForm">
    <dsfr-radio
      legend="Mise à jour du statut"
      hint="Ce changement est définitif. Le nouveau statut sera notifié par courriel à la mairie ayant effectué le signalement."
      name="statusUpdate"
      fieldSetId="statusUpdate"
      formControlName="status"
      [items]="statusUpdateItems">
    </dsfr-radio>

    @if (statusUpdateSelected !== statuses.NotTreated) {
      <dsfr-input
        [label]="statusCommentLabel"
        [disabled]="initialStatus === statusUpdateSelected"
        id="statusComment"
        name="statusComment"
        formControlName="statusComment"
        type="textarea">
      </dsfr-input>
    }

    <div class="status-edit-buttons">
      <dsfr-button
        (click)="updateCanceled.emit()"
        label="Annuler"
        [type]="buttonType.SECONDARY">
      </dsfr-button>
      <dsfr-button
        [disabled]="initialStatus === statusUpdateSelected || editStatusForm.invalid"
        (click)="onUpdateStatus()"
        label="Valider">
      </dsfr-button>
    </div>
  </form>
</div>
